class Dog:
    def __init__(self, name, birthday, breed, age=None):
        self.name = name
        self.birthday = birthday
        self.breed = breed
        self.age = age

    def bark(self, sound):
        print(sound)

    def bathroom(self):
        print('I am going to the bathroom')

    def set_birthday(self, birthday):
        self.birthday = birthday

    def set_age(self, age):
        if type(age) != int:
            print('pass in a number')

class Puppy(Dog):
    def __init__(self, cuteness, age, name, birthday):
        super().__init__(age, name, birthday)
        self.cuteness = cuteness

dog = Dog('fluffy', '04/20/2022', 'golden retriever')
dog.bathroom()
print(dog.age)
dog.set_age('woof')
print(type(dog))
print(dir(dog))
print(dog)

dog2 = Dog('tim', '02/14/2021', 'shihtzu')
dog2.bark('woof')
print(dog2)
print(Dog)

print(dog.birthday)
print(dog2.birthday)

p = Puppy(10, 'rover', '05/07/2002', 'black lab')
print(p)
p.bathroom()